Oct 10 2014

Can Orchard 1.8.x be installed on a build server that does not have Visual Studio Installed?

I also asked this question on the Orchard forum but no joy there yet. So here it is again...

https://orchard.codeplex.com/discussions/569444 Please read for a few more details.

IF the .NET 4/4.5 SDK came with a developer command prompt (like previous SDKs) then I would not be asking this question.

But since Orchard is build with .NET 4.5 I am getting build errors using the old SDK. It seems that my only option is to install Visual Studio Express on the build server.

I am doing that as we speak so at this point the question is purely academic but I am still curious.

EDIT STILL NO JOY. Even after installing VS 2013 Express Web the vcvarsall.bat that usually configure the build environment is still not present. So this is no longer a curiosity question. The Express edition also cannot create my build environment. Help.

Seth

Oct 10 2014

Can Orchard 1.8.x be installed on a build server that does not have Visual Studio Installed?